%smCcurves 
clear, clc
Ra=0.018 ; Xd=1.15 ;Xq=0.75; Vs=1.0;
h=figure('Position',[550  40  450  580],'Name','C curves',...
   'NumberTitle','off');
for p=1:3
   if p==1, phi=0; parEf=[1:0.02:2]';
   elseif p==2, phi=0.6435;parEf=[.9:0.02:2]';
   elseif p==3, phi=-0.6;parEf=[0.9:0.02:1]';   
   end 
  I=[];
  for m=1:length(parEf)
   Ef=parEf(m);
   sim('smCcurve')   
   I=[I;current];
  end 
       % PLOTS 
       plot(parEf,I),grid,title('C CURVES'),
       xlabel('Excitation voltage Ef'),ylabel('CURRENT I'),
       axis ([0 2 0 2]),hold on
 end
