%   SI2pu
clc,clear
status=close(pu);
%data
h=findobj(gcf,'Tag','Rs1');Rs1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Xsl1');Xsl1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Rr1');Rr1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Xrl1');Xrl1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Xm1');Xm1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Vs1');Vs1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Vs3');Vs3=str2num(get(h,'string'));
h=findobj(gcf,'Tag','fs1');fs1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','fs3');fs3=str2num(get(h,'string'));
h=findobj(gcf,'Tag','p');p=str2num(get(h,'string'));
h=findobj(gcf,'Tag','J');J=str2num(get(h,'string'));
h=findobj(gcf,'Tag','hp');hp=str2num(get(h,'string'));
h=findobj(gcf,'Tag','TL1');TL1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','D1');D1=str2num(get(h,'string'));
%%
%SI to pu conversion
PN=746*hp; VN=Vs1*sqrt(2/3); IN=2*PN/(3*VN);
ZN=VN/IN; wm=4*pi*fs1/p;  Vs=Vs3/Vs1;
TN=PN/wm; TL2=TL1/TN;D2=D1*wm/TN;
Rs2=Rs1/ZN; Rr2=Rr1/ZN; Xsl2=Xsl1/ZN; Xrl2=Xrl1/ZN;
Xm2=Xm1/ZN; fs=fs3/fs1;
H=0.5*J*wm^2/PN;
%%
%%Output
hh=pu;
h1=findobj('tag','Rs2');set(h1,'String',num2str(Rs2))
h2=findobj('tag','Xsl2');set(h2,'String',num2str(Xsl2))
h3=findobj('tag','Rr2');set(h3,'String',num2str(Rr2))
h4=findobj('tag','Xrl2');set(h4,'String',num2str(Xrl2))
h5=findobj('tag','Xm2');set(h5,'String',num2str(Xm2))
h6=findobj('tag','Vs22');set(h6,'String',num2str(Vs))
h7=findobj('tag','fs22');set(h7,'String',num2str(fs))
h8=findobj('tag','H');set(h8,'String',num2str(H))
h9=findobj('tag','TL2');set(h9,'String',num2str(TL2))
h10=findobj('tag','D2');set(h10,'String',num2str(D2))
%
