%                <<<   INDUCTION MOTOR INITIALIZATION >>>
%  Motor is initialized at a specified operating condition established by speed
clc
disp('                                                            imic2.m')
disp('        <<<    Induction motor transients  >>>         ')
disp('               [ Sinusoidal excitation  ]              ')
disp('               ( per-unit formulation  )               ')
disp('          Parameters of induction machine in per unit    ')
%     DATA

Rs=eval(get(hRs,'String'));
Rr=eval(get(hRr,'string'));
Lsl=eval(get(hLs,'String'));
Lrl=eval(get(hLr,'String'));
Lm=eval(get(hLm,'String'));
H=eval(get(hH,'String'));
vs=eval(get(hvs,'String'));
ws=eval(get(hws,'String'));
freq0=eval(get(hfos,'String'));
n0=eval(get(hn0,'String'));
if n0==ws n0=n0+eps; end
%%%%%%%%%%%%%%%%%
disp('                                                         ')
disp('    Rs        Lsl       Rr        Lrl       Lm       vs         ws')
param=[Rs Lsl Rr Lrl Lm vs ws];
disp(param)
wo=2*pi*freq0;wk=ws;
Ls=Lsl+Lm ; Lr=Lrl+Lm;
den=Lm*Lsl+Lm*Lrl+Lsl*Lrl;
j=sqrt(-1);
    Zr=Rr/(ws-n0)+j*Lrl; Zm=j*Lm*Zr/(j*Lm+Zr);  Zin=Rs/ws+j*Lsl+Zm;
    Is=vs/(ws*Zin);  Ir=-Is*j*Lm/(j*Lm+Zr);
    Req=real(Zm);    Tl0=Is*conj(Is)*Req;
    phis=Ls*Is+Lm*Ir;  phir=Lm*Is+Lr*Ir;    phids=real(phis);  phiqs=imag(phis);
    phidr=real(phir);  phiqr=imag(phir);
    op=[n0  Tl0];    disp('       n      Tl  ')  
    disp(op) 
        L=[Lsl+Lm   0      Lm     0   
          0   Lsl+Lm    0     Lm
          Lm    0     Lrl+Lm  0
          0     Lm      0     Lrl+Lm];
ic=[phids phiqs phidr phiqr n0]' ;             %initial conditions 
%close;
%sim('imeqvec2')
