%Data
clc
status=close(imphasorout1);
h=findobj(gcf,'Tag','Rs');Rs=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lsl');Lsl=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Rr');Rr=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lrl');Lrl=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lm');Lm=str2num(get(h,'string'));
h=findobj(gcf,'Tag','vs');vs=str2num(get(h,'string'));
h=findobj(gcf,'Tag','ws');ws=str2num(get(h,'string'));
h=findobj(gcf,'Tag','n0');n0=str2num(get(h,'string'));
%%%%%%
% Compute
format short
Ls=Lsl+Lm ; Lr=Lrl+Lm;
j=sqrt(-1);
  Zr=Rr/(ws-n0+eps)+j*Lrl; Zm=j*Lm*Zr/(j*Lm+Zr);  Zin=Rs/ws+j*Lsl+Zm;
    Is=vs/(ws*Zin);  Ir=-Is*j*Lm/(j*Lm+Zr); Ismag=abs(Is);Irmag=abs(Ir);
    Req=real(Zm);    Tl0=Is*conj(Is)*Req;
    phis=Ls*Is+Lm*Ir;  phir=Lm*Is+Lr*Ir;    phids=real(phis);  phiqs=imag(phis);
    phidr=real(phir);  phiqr=imag(phir);    phismag=abs(phis); phirmag=abs(phir);
    op=[n0  Tl0  Ismag   Irmag  phismag phirmag] ;
    disp('                 Operating point ')
    disp('       n      Tl         Is        Ir        fs       fr')  
    disp(op) 
% Plot   
  imphasorout1
h1=findobj('tag','is');set(h1,'String',num2str(Is,4))
h2=findobj('tag','ir');set(h2,'String',num2str(Ir,4))
h3=findobj('tag','phis');set(h3,'String',num2str(phis,4))
h4=findobj('tag','phir');set(h4,'String',num2str(phir,4))
h5=findobj('tag','wm');set(h5,'String',num2str(n0))
h6=findobj('tag','Te');set(h6,'String',num2str(Tl0))
h7=findobj('tag','vs');set(h7,'String',num2str(vs))
findobj('tag','plt');
   mm=round(max([vs;abs(Is);abs(phis)]));
   polar(mm,'w'),hold on
      compass(vs,'k');text(vs,0,'V')
      compass(Is,'r');text(real(Is),imag(Is),'I_s')
      compass(Ir,'m');text(real(Ir),imag(Ir),'I_r')
      compass(phis,'g');text(real(phis),imag(phis),'f_s')
      compass(phir,'b');text(real(phir),imag(phir),'f_r')
      set(findobj(gca,'Type','line'),'LineWidth',2)
     legend(' ','V','Is','Ir','fs','fr')
   hold off
  %%%%%%%%%%%%%%%%%%
