
%     Plot outputs of IM
clc,close all
% ------------------- OUTPUTS  ----------------------------------
 spd=y(:,1);
 %phidr=x(:,3); phiqr=x(:,4);
 ids=y(:,3)  ;  iqs=y(:,4) ; is=sqrt(ids.^2+iqs.^2);
 Te=y(:,2); Tl=y(:,8) ;
 vds=y(:,5) ; vqs=y(:,6);    vs=sqrt(vds.^2+vqs.^2);
 % --------------------  GRAPHICAL DISPLAYS  ----------------------------------
figure('Position',[100 55 900  590],'Name','Starting characteristics',...
      'NumberTitle','off');
  subplot(2,2,1),plot(spd,Te);title('Torque-speed curve');xlabel('Speed [pu]'),ylabel('Torque [pu]'),grid
  subplot(2,2,2),plot(t,Te,'c',t,Tl,'m'),xlabel('TIME [s]'),ylabel('TORQUE [pu]'),grid
  subplot(2,2,3),plot(t,spd);title('Speed-time curve');xlabel('Time [s]'),ylabel('Speed [pu]'),grid
  subplot(2,2,4),plot(t,ids,'r',t,iqs,'b',t,is,'k'),xlabel('TIME [s]'),ylabel('CURRENT [pu]'),grid
figure('Position',[540 55 430 290],'Name','Voltage input excitation',...
      'NumberTitle','off');  
  plot(t,vds,'r',t,vqs,'b',t,vs,'k'),xlabel('TIME [s]'),ylabel('VOLTAGE [pu]'),grid 