%   INDUCTION MACHINE LOGO
clc,clear
       
phis=0;rr=0.4;e=0;e1=0;d=0;d1=0;r=0.71; n=7;
%
  figure('units','normalized','Position',[.065 .1 .27 .28],'Name','INDUCTION MOTOR',...
        'NumberTitle','off','menubar','none');      
 
  set(gcf,'color',[.8 .8 .8])         
                
       q=0:pi/120:2*pi;
    for e=0:3:360
      fill(.9*cos(q),0.9*sin(q),[.6 .6 .6],'LineWidth',1.5),hold on
       fill(.62*cos(q),0.62*sin(q),[.9 .9 .9],'linewidth',1.5);
       fill(.58*cos(q),0.58*sin(q),[.6 .6 .6],'LineWidth',1.5)
      
  for k=2:1:2*n-1
    theta=acos((n-k)/(n-1));
    x=r*cos(theta); y=r*sin(theta);
    h1=plot(x,y,'o','MarkerSize',8,'MarkerFacecolor','b');
    rotate(h1,[0 0 1],e,[0 0 0])
end
for j=2:1:2*n-1
    theta=acos((n-j)/(n-1));
    x=r*cos(theta); y=-r*sin(theta);
    h2=plot(x,y,'o','MarkerSize',8,'MarkerFacecolor','g');
    rotate(h2,[0 0 1],e,[0 0 0])
end
h3=plot(r,0,'o','MarkerSize',8,'MarkerFacecolor','w');
rotate(h3,[0 0 1],e,[0 0 0])
h4=plot(-r,0,'o','MarkerSize',8,'MarkerFacecolor','w');
rotate(h4,[0 0 1],e,[0 0 0])
      for w=1:12
         h3=plot(0.48,0,'ko','MarkerSize',9,'MarkerFacecolor','y');
         rotate(h3,[0 0 1],d+(.8*e),[0 0 0])
         d=d+30;
      end
        fill(0.15*cos(q),0.15*sin(q),[.3 .3 .3],'LineWidth',1.5)   
  
        f1=plot(0,0,'xk',[0 1 .95 1 .95],[0 0 .03 0 -.03],'-k','LineWidth',2);
      rotate(f1,[0 0 1],e,[0 0 0])   
     
      set(gca,'Xlim',[-1.2 1.2],'Ylim',[-1.2 1.2],'visible','off')
      axis square
        hold off
    h=getframe(gca);
      
  end 
 
rotate3d     
 

      
  %%%%%%%    
