%set popup for imssguiSI

val=get(hpop,'Value');

switch val
    case 1
        hold off
          q=find(max(Te)==Te);
          k=find(n==0);
          plot(wm,Te,'b','linewidth',2),xlabel('BRZINA [rpm]'),ylabel('MOMENT [N]'),grid,hold on
          line([n1*wmo n2*wmo],[0 0],'color','k')
         text(wm(q)-.05,Te(q)+.08,[ 'T_m = ',num2str(Te(q))])
         text(wm(k),Te(k)+.1,[ 'T_e(0) = ',num2str(Te(k))])
         [x y]=ginput(3);
         v=[x y];
         a=v(1,1:2);
         b=v(2,1:2);
         c=v(3,1:2);
         h1=findobj('tag','Z1');set(h1,'String',num2str(a));
         h2=findobj('tag','Z2');set(h2,'String',num2str(b)); 
         h3=findobj('tag','Z3');set(h3,'String',num2str(c)); 
         hold off 
         
    case 2
        hold off
         q=find(min(Is)==Is);
         k=find(n==0);
         plot(wm,Is,'r','linewidth',2),xlabel('BRZINA [rpm]'),ylabel('STRUJA [A]'),grid
          text(wm(q)-200,Te(q)+1,[ 'I_m_a_g = ',num2str(Is(q))])
         text(wm(k)+10,Is(k)+2,[ 'I_s(0) = ',num2str(Is(k))])
          [x y]=ginput(3);
         v=[x y];
         a=v(1,1:2);
         b=v(2,1:2);
         c=v(3,1:2);
         h1=findobj('tag','Z1');set(h1,'String',num2str(a));
         h2=findobj('tag','Z2');set(h2,'String',num2str(b)); 
         h3=findobj('tag','Z3');set(h3,'String',num2str(c)); 
       hold off
       
     case 3  
         hold off
         wsync=2/p*fo*60;
          a=[];b=[];c=[];
          h7=findobj('tag','Z1');set(h7,'String',num2str(a));
         h8=findobj('tag','Z2');set(h8,'String',num2str(b)); 
         h9=findobj('tag','Z3');set(h9,'String',num2str(c)); 
         q=find(max(Pm)==Pm);
         plot(wm,Pm/1000,'b','linewidth',2),xlabel('BRZINA [rpm]'),ylabel('SNAGA [Kw]'),grid,hold on
          line([n1*wmo n2*wmo],[0 0],'color','k')
         text(wm(q)-100,Pm(q)/1000+.4,[ 'P_m_a_x = ',num2str(Pm(q)/1000)])
         s=find(min(Pm)==Pm);
          text(wm(s)-100,Pm(s)/1000+.1,[ 'P_m_i_n = ',num2str(Pm(s)/1000)])
           plot(wsync*f,0,'or','markersize',8)
        hold off
        
     case 4
         hold off
         a=[];b=[];c=[];
          h7=findobj('tag','Z1');set(h7,'String',num2str(a));
         h8=findobj('tag','Z2');set(h8,'String',num2str(b)); 
         h9=findobj('tag','Z3');set(h9,'String',num2str(c)); 
         tic=round(max(Is)/20);
         r=find(n==0)+1;
         m=length(Ids);
         k=find(Te>0 & Te<0.01);
         if k, else k=round(length(n));
            end
         q=find(max(Te)==Te);
         x1=[0 0];x2=[V/10 0];
         x3=[Ids(r) Iqs(r)];
         x4=[Idso Iqso];
         x5=[Imdo Imqo];
         x6=[Ids(q) Iqs(q)];
        plot(Ids,Iqs,'-r','linewidth',2),title('KRUZNI DIJAGRAM','fontweight','b','color','r'),...
            xlabel('real(Is) [A]'),ylabel('imag(Is) [A]'),grid,hold on
        axis equal
         plot(0,0,'xk','markersize',9)
         vecarrow(x1,x2,[.66 .77 .7])
            vecarrow(x5,x4,'c')
            vecarrow(x1,x4,'m')
            vecarrow(x1,x6,'m')
         line([0 Imdo],[0 Imqo],'color','k','linewidth',3);   
       if n1<0.001,  vecarrow(x1,x3,'m'); end
         vecarrow([Ids(k-2) Iqs(k-2)],[Ids(k) Iqs(k)],'r')
          vecarrow([Ids(m-2) Iqs(m-2)],[Ids(m) Iqs(m)],'r')
         text(Ids(q)-2*tic,Iqs(q)-.6*tic,[ 'T_emax = ',num2str(Te(q))])
         text(Imdo-tic/2,Imqo-.6*tic,[ 'n = ',num2str(f)])
         if n2>f,
         text(Ids(m)-tic/2,Iqs(m)-.6*tic,[ 'n = ',num2str(n2)]);end
         text(Ids(r),Iqs(r)+tic, ['T_e(0) = ',num2str(Te(r))])
         text(V/10,-.7,'  V','color',[.66 .77 .7],'fontsize',14)
         text(Idso+2*tic,Iqso-tic/4,[ 'n = ',num2str(no)])
         text(Idso-1.5*tic,Iqso-tic/2,'I_r ','color','c','fontsize',13)
         text(Imdo-2*tic,.7*Imqo,'I_m_a_g ','color','k','fontsize',11)
         text(Ids(q),Iqs(q)+.7*tic,[ 'n = ',num2str(n(q))])
         text(Ids(r)-2*tic,Iqs(r)+tic/4,['I_s(0) = ',num2str(Is(r))],'color','m','fontsize',11)
         text(Idso+.5*tic,Iqso+tic/2,['I_s = ',num2str(Iso)],'color','m','fontsize',11)
         text(Idso+tic,Iqso+tic,['T_e = ',num2str(Teo)],'color','k')
         
         [x y]=ginput(3);
         v=[x y];
         a=v(1,1:2);
         b=v(2,1:2);
         c=v(3,1:2);
         h1=findobj('tag','Z1');set(h1,'String',num2str(a));
         h2=findobj('tag','Z2');set(h2,'String',num2str(b)); 
         h3=findobj('tag','Z3');set(h3,'String',num2str(c));    
    end  