% Synchronous machine equations associated with smtransientscript.m
function df=smeq(t,f)
global Ra X Xmd Rf Rkd Rkq Hi Tl wo V vf0 tg tc 
          if t>=tg        V=0;   end          %   3-phase short circuit
          if t>=tc        V=1;   end          %   removal
       flux=[f(1) f(2) f(3) f(4) f(5)]'; cur=X\flux; 
               % Dynamic equations of synchronous machine:
  df = [wo*(-Ra*cur(1)+f(2)*f(6)-V*sin(f(7)))
        wo*(-Ra*cur(2)-f(1)*f(6)+V*cos(f(7)))
        wo*(-Rf*cur(3)+vf0)
        wo*(-Rkd*cur(4))
        wo*(-Rkq*cur(5))
        (f(1)*cur(2)-f(2)*cur(1)-Tl)/(2*Hi)
        wo*(1-f(6))];
     