%SMvecstartdef.m     SYNCHRONOUS MACHINE PARAMETERS AND OPERATING POINT
disp(date)
%     SYNCHRONOUS MACHINE PARAMETERS 
h=findobj(gcf,'Tag','Ra');Ra=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Ld');Ld=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lq');Lq=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lal');Lal=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Rf');Rf=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lfl');Lfl=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Rkd');Rkd=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lkdl');Lkdl=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Rkq');Rkq=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lkql');Lkql=str2num(get(h,'string'));
h=findobj(gcf,'Tag','H');H=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Bm');Bm=str2num(get(h,'string'));
h=findobj(gcf,'Tag','freq0');freq0=str2num(get(h,'string'));
h=findobj(gcf,'Tag','V');V=str2num(get(h,'string'));     
h=findobj(gcf,'Tag','Rfd');Rfd=str2num(get(h,'string'));
%
        Rfstart=Rf+Rfd;
        Lmd=Ld-Lal;
        Lmq=Lq-Lal; 
        wo=2*pi*freq0 ;
        bet=0;
        
% ----------------------------------------------------------------------------
               disp('     MACHINE PARAMETERS in per unit:            ')
disp('   Ra         Ld        Lq         Lal  ')
disp([Ra Ld Lq Lal])
disp('    Rf        Lfl       Rkd       Lkdl        Rkq       Lkql       H ')
param1=[Rf Lfl Rkd Lkdl Rkq Lkql H]; 
disp(param1)
%   ---------------------------------------------------------------------------
%                 INDUCTANCES    
     L=[Lal+Lmd    0     Lmd       0      Lmd
           0    Lal+Lmq   0       Lmq      0
         Lmd       0      Lmd+Lkdl 0      Lmd
         0       Lmq      0       Lmq+Lkql 0
         Lmd       0       Lmd     0      Lmd+Lfl];
L_1=inv(L); %Inverse inductance matrix 
%  ----------------------------------------------------------------------------




      