%smvecdef5.m     SYNCHRONOUS MACHINE PARAMETERS AND OPERATING POINT at noload
clear,clc,close all
disp(date)
% ------------------------  DATA  --------------------------------------------
%                      Machine parameters (pu) :
        Ra=.018;Ld=1.15;Lq=.75;Lal=0.15; Rth=0 ; Lth=0 ;Ra=Ra+Rth;Lal=Lal+Lth;
        Rf=0.001; Lfl=0.2; Rkd=0.02; Lkdl=0.11; Rkq=0.04; Lkql=0.15;
               H=4.0;Bm=1e-6; freq0=60.0;wo=2*pi*freq0 ;bet=0 ;
 % ----------------------------------------------------------------------------
               disp('     MACHINE PARAMETERS in per unit:            ')
disp('   Ra         Ld        Lq         Lal  ')
disp([Ra Ld Lq Lal])
disp('    Rf        Lfl       Rkd       Lkdl        Rkq       Lkql       H ')
param1=[Rf Lfl Rkd Lkdl Rkq Lkql H]; 
disp(param1)
%         operating point: 
           Lmd=Ld-Lal; Lmq=Lq-Lal;
           id0=0;iq0=0;
           Ef0=1; if0=Ef0/Lmd;Te0=0; delta0=0 ;        
%                 PARAMS  
        L=[Lal+Lmd    0     Lmd     0       Lmd
           0    Lal+Lmq   0       Lmq      0
         Lmd       0      Lmd+Lkdl 0      Lmd
         0       Lmq      0       Lmq+Lkql 0
         Lmd       0       Lmd     0      Lmd+Lfl];
      L_1=inv(L);
      
%     Initial conditions:
           phid=Ld*id0+Lmd*if0   ;  phiq=Lq*iq0 ;fa0=[phid phiq];
           phif0=(Lmd+Lfl)*if0+Lmd*id0;
           phikd=Lmd*(id0+if0)   ; phikq=Lmq*iq0;fk0=[phikd phikq];
           n0=0 ;       vf0=Rf*if0   ;
      