% SPACE VECTORS           <spacefig.m>
close all
G=round(1.2*max(abs([fA1(1),fA1(2),fA1(3)])));
                   %3-phase unit space vectors
uA=[1;0];  uB=[-1/2;sqrt(3)/2];uC=[-1/2;-sqrt(3)/2];       
                   
fA_=fA1(1)*uA;fB_=fA1(2)*uB;fC_=fA1(3)*uC;

% 
      h0=figure('Position',[405 70 600 560],'Name','Prostorni vektori ',...
         'NumberTitle','off');
      h1=uicontrol( 'Parent',h0,...
          'Style','Popup',... 
          'Units','normalized', ...
	      'Callback','popspacevec', ...
	      'Position',[0.82 0.05 0.11 0.05], ...
	      'String','PONOVI|KRAJ');
 %      
compass(G,0,'w'),title('PROSTORNI VEKTORI'),text(1.1*G,-G/12,'A-axis'),hold on
compass(fA_(1),fA_(2),'r'); text(fA_(1),fA_(2),'f_A')
compass(fB_(1),fB_(2),'b'); text(fB_(1),fB_(2),'f_B')
compass(fC_(1),fC_(2),'g'); text(fC_(1),fC_(2),'f_C')
compass(fa(1),fa(2),'k'), text(fa(1),fa(2),'f')
compass(fd(1),fd(2),'m'), text(fd(1),fd(2),'f_k')
legend('','faza A','faza B','faza C','prostorni vektor f','fk'),hold off

 