%imss3plt : Plots derived for im3ss.mdl
clc,close all
Is=sqrt(I_real.^2+I_imag.^2);
[speed; torque; Is;I_real;I_imag]'
disp('    brzina     moment      Is         I_real       I_imag')
  figure('Position',[50 410 950  400],'Name','Staticke karakteristike',...
      'NumberTitle','off','MenuBar','none');
   subplot(1,2,1),plot(speed,torque);title('kriva momenat-brzina');xlabel('brzina [r.j.]'),ylabel('Moment [r.j.]'),grid
   subplot(1,2,2),plot(speed,Is);title('kriva struja-brzina');xlabel('brzina [r.j.]'),ylabel('Struja [r.j.]'),grid
  figure('Position',[220 35 300 330],'Name','Kruzni dijagram',...
      'NumberTitle','off','MenuBar','none');
   plot(I_real,I_imag),title('KRUZNI DIJAGRAM STRUJA'),grid,hold on
compass([0 1],[0 0],'r') 
compass([0 0.91],[0 -0.4]),
compass([0 I_real(1)],[0 I_imag(1)])
axis([-3 3 -6 0]);
axis equal