% plots for SMabcstart6.mdl
close all

spdrg=ones(1,length(t));
Te=y(:,1);spd=y(:,3);TL=y(:,2);
ias=x(:,1);
iff=x(:,4);
figure('Units','Normalized','Position',[.02 .50 .46 .35],'Name','Synchronous motor start (abc)');
     figure(1)
  plot(t,spd,'-m'),grid,title('SPEEDS'),xlabel('Time [s]'),ylabel('Speed [pu]'),hold on
  plot(t,spdrg,'-r')
  legend('motor speed','synchronous speed',4) 

figure('Units','Normalized','Position',[.49 .50 .46 .35],'Name','Synchronous motor start (abc)');  
       figure(2)
  plot(t,Te,'-b',t,TL,'-c'),grid,title('TORQUES'),xlabel('Time [s]'),ylabel('Torque [pu]')
  legend('electromagnetic torque','load torque',4)
  
  
figure('Units','Normalized','Position',[.49 .07 .46 .33],'Name','Synchronous motor start (abc)'); 
     figure(3)
  plot(t,iff,'-g'),grid,title('FIELD CURRENT'),xlabel('Time [s]'),ylabel('field current [pu]')   

  
  figure('Units','Normalized','Position',[.02 .07 .46 .33],'Name','Synchronous motor start (abc)');   
     figure(4)
  plot(t,ias,'-r'),grid,title('STATOR CURRENT'),xlabel('Time [s]'),ylabel('Stator current [pu]')
  
  
 