%    squirrel-cage induction machine picture
clc,clear,close all
dir=[0 0 1];e=0;
q=0:pi/20:2*pi;e=0;t=0;
z1=ones(size(q));
warning off
avisqui=avifile('squirrelcage.avi');
%
figure('units','normalized','numbertitle','off','name','AC MACHINE','menubar','none','units','normalized',...
    'position',[0.1 .1 .7 .8]);
%
set(gcf,'color','w')
for e=0:359
    fill3(2.4*cos(q),2.4*sin(q),z1,[.8 .8 .8],'edgecolor','none');hold on
    alpha(.55);
    [X,Y,Z]=cylinder(1.75,160);surf(X,Y,Z,'facecolor',[.8 .8 .8],'edgecolor',[.9 .9 .9 ]);
    [X,Y,Z]=cylinder(2.4,160);surf(X,Y,Z,'facecolor',[.8 .8 .8],'edgecolor',[.9 .9 .9]);
    [X,Y,Z]=cylinder(1.5,36);h1=surf(X,Y,Z,'facecolor',[.6 .8 .8],'edgecolor','b','linewidth',5);
     rotate(h1,dir,e)
     axis equal
     set(gca,'Xlim',[-2.5 2.5],'Ylim',[-2.5 2.5],'visible','off')
     hold off
      f=getframe(gca);
      avisqui=addframe(avisqui,f);
  end 
 avisqui=close(avisqui); 
rotate3d