% Synchronous mahine against an infinite bus     
 figure('Units','pixels', ...
   'Color',[0.8 0.8 0.8], ...
   'Name','System Parameters',...
   'NumberTitle','off',...
	'Position',[615 60 390 340], ...
   'ToolBar','none');
 uicontrol('Units','normalized', ...
   'BackgroundColor',[.75 .75 .75], ...
   'FontSize',12, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'Position',[0.2 0.92 0.6 0.06], ...
	'String','SYSTEM PARAMETERS', ...
   'Style','text');
uicontrol('Units','normalized', ...
   'BackgroundColor',[.75 .75 .75], ...
   'FontSize',12, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'Position',[0.2 .87 0.6 0.06], ...
	'String','Per unit', ...
   'Style','text');
 uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.8 0.4 0.06], ...
	'String','Infinite bus voltage V =', ...
	'Style','text');
hV = uicontrol('Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .8 .13 .06], ...
	'String','1.0', ...
	'Style','edit', ...
	'TooltipString','V');
 uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.7 0.4 0.06], ...
   'String','Internal voltage E =', ...
   'Style','text');
 hE = uicontrol('Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .7 .13 .06], ...
	'String','1.03', ...
	'Style','edit', ...
	'TooltipString','E');
 uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.6 0.4 0.06], ...
	'String','Reactance before fault =', ...
	'Style','text');
hXb = uicontrol('Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .6 .13 .06], ...
	'String','0.4', ...
	'Style','edit', ...
	'TooltipString','Xbefore');
  uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.5 0.45 0.06], ...
	'String','Reactance during fault =', ...
	'Style','text');
hXd = uicontrol('Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .5 .13 .06], ...
	'String','1.1', ...
	'Style','edit', ...
	'TooltipString','Xduring');
 uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.4 0.4 0.06], ...
	'String','Reactance after fault =', ...
	'Style','text');
 hXa = uicontrol('Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .4 .13 .06], ...
	'String','0.5', ...
	'Style','edit', ...
	'TooltipString','Xafter');
 uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.24 0.4 0.06], ...
	'String','Mechanical Power Input =', ...
	'Style','text');
 hPm = uicontrol( 'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .24 .13 .06], ...
	'String','0.8', ...
	'Style','edit', ...
	'TooltipString','Pm');
uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.32 0.4 0.06], ...
	'String','Inertia Constant H =', ...
	'Style','text');
 hH = uicontrol('Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .32 .13 .06], ...
	'String','2.76', ...
	'Style','edit', ...
	'TooltipString','H');
 uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.15 0.4 0.06], ...
	'String','Damping Constant D =', ...
	'Style','text');
 hD = uicontrol('Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .15 .13 .06], ...
	'String','0', ...
	'Style','edit', ...
	'TooltipString','D');

 uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.066 0.55 0.06], ...
	'String','Clearing Times Tc = ', ...
	'Style','text');

 hTc = uicontrol('Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .066 .2 .06], ...
	'String','[.1 .2 .3 .4 .6]', ...
	'Style','edit', ...
	'TooltipString','Tc');

uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.001 0.4 0.06], ...
	'String','Frequency [Hz] = ', ...
	'Style','text');
 hf=uicontrol('Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .001 .13 .06], ...
	'String','60', ...
	'Style','edit', ...
	'TooltipString','Frequency');
 
 uicontrol('Units','normalized', ...
	'BackgroundColor',[.3 .3 .8], ...
    'style','pushbutton',...
	'Callback','swing1b', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.8 0.5 0.15 0.08], ...
	'String','Run', ...
   'TooltipString','Run');
uicontrol('Units','normalized', ...
   'style','pushbutton',...
	'BackgroundColor',[.3 .3 .8], ...
	'Callback','clc,clear,close all', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.8 0.3 0.15 0.08], ...
	'String','Quit', ...
	'TooltipString','Quit');
