%swing1b
%
V=eval(get(hV,'String'));
E=eval(get(hE,'String'));
Xbefore=eval(get(hXb,'String'));
Xduring=eval(get(hXd,'String'));
Xafter=eval(get(hXa,'String'));
H=eval(get(hH,'String'));
f=eval(get(hf,'String'));
D=eval(get(hD,'string'));
Pm=eval(get(hPm,'String'));
par=eval(get(hTc,'String'));

t0=0.2;      % fault ocurrence
delta0=asin(Pm*Xbefore/(E*V));  %initial angle [rad]
xo=[delta0 1]; %IC
delta=[];wm=[];Pe=[];
for m=1:length(par)
   Tc=par(m);
   
   sim('swing1',2,simset('InitialState',xo));
   delta=[delta angle];
   wm=[wm speed];
   Pe=[Pe power];
end
%plots
delta=delta*180/pi;
h0=figure('Units','normalized','Position',[.05 .09 .9  .86],...
    'Name','Transient stability',...
    'NumberTitle','off');
   subplot(2,2,1),plot(t,delta);title('Swing Curves');xlabel('Time [s]'),ylabel('Delta [deg]'),grid
   subplot(2,2,2),plot(delta,wm);title('Speed-Angle Curves');xlabel('Delta [deg]'),ylabel('Speed [pu]'),grid
   subplot(2,2,3),plot(t,wm);title('Frequency Curves');xlabel('Time [s]'),ylabel('Speed [pu]'),grid
   subplot(2,2,4),plot(delta,Pe,[0 180],[Pm Pm],'r');title('Power-Angle Curves');set(gca,'Xlim',[0 180]);
   xlabel('Delta [deg]'),ylabel('Power [pu]')
   text(165,Pm+0.1,'Pm'),text(90,1/Xafter+.2,'after'),text(65,1\Xduring+.06,'during'),grid
 uicontrol('Parent',h0, ...
          'Units','normalized', ...
	      'BackgroundColor',[0.5 0.5 0.5], ...
	      'Callback','clc,clear,close all,return', ...
	      'FontSize',10, ...
	      'FontWeight','bold', ...
          'ForegroundColor',[0 0 0.5], ...
 	      'Position',[0.88 0.01 0.08 0.071], ...
	      'String','CLOSE', ...
	      'TooltipString','Close');  